Subject: Bad Mailing List Behavior Considered Harmful (was: The Pleasures of goi (was: zipf computations & experimental cmavo

From: Invent Yourself <[email-masked]>
Date: Thu, 27 Sep 2001 17:54:42 -0400 (EDT)

On Thu, 27 Sep 2001, Rob Speer wrote:

> On Thu, Sep 27, 2001 at 03:18:04PM -0400, John Cowan wrote:
>
> > http://www.unicom.com/pw/reply-to-harmful.html states my position.
> > I use two different mail clients, one of which makes it very difficult
> > to remove the author as a direct recipient. Hey, I get almost all
> > emails twice and some three times from certain mailing lists, and
> > I've learned to live with it.
>
> One of this guy's reasons (which he repeats a lot, in different forms) is that
> if everyone used Elm, leaving reply-to alone would be better in every way.
> Mutt handles replying to the sender instead of the reply-to just fine, but you
> don't see me making decrees about how the Internet should work based on that.
>
> His "principle of least surprise" is just shooting himself in the foot, now
> that every mailing list I've seen but this one munges the header, and on this
> list I often see people accidentally replying personally when they don't mean
> to.

I'm on a dozen lists too, but only this one has the odd setting.

> He never takes into account that it annoys people to get two responses,
> especially if they sort mailing list messages into separate folders, and thus
> you have to change the recipient _anyway_ to reply to a group with "Reply to
> All" or people complain. As I just have.

All good reasons. And further:

* I consider pine a reasonable mailer in wide use, and it does NOT have a
reply option that handles this list. I can either reply only to the sender
person, or to the sender person plus the list. I must choose the latter
and erase the sender person address.

* "Munging" does not "make things break". It is very easy for me in pine,
on other mailing lists that do things the reasonable way, for me to
respond either to the list or to the sender person.

* It is not "arrogant" to assume that most responses to a mailing list
will go back to the mailing list! The vast majority do. This is the idea
behind a mailing list.

* Only if the mailing list is severely broken is the address of the
original sender person obscured and difficult to access. In all of my net
usage since 1988 I have never seen such a thing, yet this is one of his
arguments.

* "Broken" mail apps? It sure must be nice to declare an arbitrary
behavior that's supported by ones favorite app as "The Right Way", and
then define all other apps as broken and refuse to support them. They
accuse MS of such obnoxiousness but it's common enough in the Open Source
community.

* The author admits that he was converted to his position because he sent
an embarrassing message out to a mailing list. And as I have said before,
the onus of proper mail direction is upon the sender! But the onus of
faciliating *easy mailing list usage* is on the administrator.

This article is full of direct lies and slanted spin, and it should not be
used as a policy recommendation for anything.

-- 
It's said that Mullah Omar has met two non-Muslims in his life. Others say
even that's not true.

Sami ul-Haq, Osama bin Laden's closest friend in Pakistan, runs the
"University for the Education of Truth," a fundamentalist institution that
educated and trained nine out of the Taliban's top 10 leaders.